import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DisassociateManagedNotificationAccountContactRequest,
  DisassociateManagedNotificationAccountContactResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface DisassociateManagedNotificationAccountContactCommandInput
  extends DisassociateManagedNotificationAccountContactRequest {}
export interface DisassociateManagedNotificationAccountContactCommandOutput
  extends DisassociateManagedNotificationAccountContactResponse,
    __MetadataBearer {}
declare const DisassociateManagedNotificationAccountContactCommand_base: {
  new (
    input: DisassociateManagedNotificationAccountContactCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisassociateManagedNotificationAccountContactCommandInput,
    DisassociateManagedNotificationAccountContactCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DisassociateManagedNotificationAccountContactCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisassociateManagedNotificationAccountContactCommandInput,
    DisassociateManagedNotificationAccountContactCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DisassociateManagedNotificationAccountContactCommand extends DisassociateManagedNotificationAccountContactCommand_base {
  protected static __types: {
    api: {
      input: DisassociateManagedNotificationAccountContactRequest;
      output: {};
    };
    sdk: {
      input: DisassociateManagedNotificationAccountContactCommandInput;
      output: DisassociateManagedNotificationAccountContactCommandOutput;
    };
  };
}
