import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  EnableNotificationsAccessForOrganizationRequest,
  EnableNotificationsAccessForOrganizationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface EnableNotificationsAccessForOrganizationCommandInput
  extends EnableNotificationsAccessForOrganizationRequest {}
export interface EnableNotificationsAccessForOrganizationCommandOutput
  extends EnableNotificationsAccessForOrganizationResponse,
    __MetadataBearer {}
declare const EnableNotificationsAccessForOrganizationCommand_base: {
  new (
    input: EnableNotificationsAccessForOrganizationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    EnableNotificationsAccessForOrganizationCommandInput,
    EnableNotificationsAccessForOrganizationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [EnableNotificationsAccessForOrganizationCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    EnableNotificationsAccessForOrganizationCommandInput,
    EnableNotificationsAccessForOrganizationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class EnableNotificationsAccessForOrganizationCommand extends EnableNotificationsAccessForOrganizationCommand_base {
  protected static __types: {
    api: {
      input: {};
      output: {};
    };
    sdk: {
      input: EnableNotificationsAccessForOrganizationCommandInput;
      output: EnableNotificationsAccessForOrganizationCommandOutput;
    };
  };
}
