import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetManagedNotificationConfigurationRequest,
  GetManagedNotificationConfigurationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface GetManagedNotificationConfigurationCommandInput
  extends GetManagedNotificationConfigurationRequest {}
export interface GetManagedNotificationConfigurationCommandOutput
  extends GetManagedNotificationConfigurationResponse,
    __MetadataBearer {}
declare const GetManagedNotificationConfigurationCommand_base: {
  new (
    input: GetManagedNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetManagedNotificationConfigurationCommandInput,
    GetManagedNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetManagedNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetManagedNotificationConfigurationCommandInput,
    GetManagedNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetManagedNotificationConfigurationCommand extends GetManagedNotificationConfigurationCommand_base {
  protected static __types: {
    api: {
      input: GetManagedNotificationConfigurationRequest;
      output: GetManagedNotificationConfigurationResponse;
    };
    sdk: {
      input: GetManagedNotificationConfigurationCommandInput;
      output: GetManagedNotificationConfigurationCommandOutput;
    };
  };
}
