import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListManagedNotificationEventsRequest,
  ListManagedNotificationEventsResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListManagedNotificationEventsCommandInput
  extends ListManagedNotificationEventsRequest {}
export interface ListManagedNotificationEventsCommandOutput
  extends ListManagedNotificationEventsResponse,
    __MetadataBearer {}
declare const ListManagedNotificationEventsCommand_base: {
  new (
    input: ListManagedNotificationEventsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationEventsCommandInput,
    ListManagedNotificationEventsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListManagedNotificationEventsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListManagedNotificationEventsCommandInput,
    ListManagedNotificationEventsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListManagedNotificationEventsCommand extends ListManagedNotificationEventsCommand_base {
  protected static __types: {
    api: {
      input: ListManagedNotificationEventsRequest;
      output: ListManagedNotificationEventsResponse;
    };
    sdk: {
      input: ListManagedNotificationEventsCommandInput;
      output: ListManagedNotificationEventsCommandOutput;
    };
  };
}
