import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  RegisterNotificationHubRequest,
  RegisterNotificationHubResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface RegisterNotificationHubCommandInput
  extends RegisterNotificationHubRequest {}
export interface RegisterNotificationHubCommandOutput
  extends RegisterNotificationHubResponse,
    __MetadataBearer {}
declare const RegisterNotificationHubCommand_base: {
  new (
    input: RegisterNotificationHubCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RegisterNotificationHubCommandInput,
    RegisterNotificationHubCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: RegisterNotificationHubCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RegisterNotificationHubCommandInput,
    RegisterNotificationHubCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RegisterNotificationHubCommand extends RegisterNotificationHubCommand_base {
  protected static __types: {
    api: {
      input: RegisterNotificationHubRequest;
      output: RegisterNotificationHubResponse;
    };
    sdk: {
      input: RegisterNotificationHubCommandInput;
      output: RegisterNotificationHubCommandOutput;
    };
  };
}
