import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  AssociateManagedNotificationAccountContactRequest,
  AssociateManagedNotificationAccountContactResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface AssociateManagedNotificationAccountContactCommandInput
  extends AssociateManagedNotificationAccountContactRequest {}
export interface AssociateManagedNotificationAccountContactCommandOutput
  extends AssociateManagedNotificationAccountContactResponse,
    __MetadataBearer {}
declare const AssociateManagedNotificationAccountContactCommand_base: {
  new (
    input: AssociateManagedNotificationAccountContactCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AssociateManagedNotificationAccountContactCommandInput,
    AssociateManagedNotificationAccountContactCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: AssociateManagedNotificationAccountContactCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AssociateManagedNotificationAccountContactCommandInput,
    AssociateManagedNotificationAccountContactCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class AssociateManagedNotificationAccountContactCommand extends AssociateManagedNotificationAccountContactCommand_base {
  protected static __types: {
    api: {
      input: AssociateManagedNotificationAccountContactRequest;
      output: {};
    };
    sdk: {
      input: AssociateManagedNotificationAccountContactCommandInput;
      output: AssociateManagedNotificationAccountContactCommandOutput;
    };
  };
}
